> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract Tool Parameters

> Uses AI to derive suggested input/output parameters and a name from a task description.



## OpenAPI

````yaml /openapi.yaml post /v1/tools/extract-params
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/tools/extract-params:
    post:
      tags:
        - Tools
      summary: Extract Tool Parameters
      description: >-
        Uses AI to derive suggested input/output parameters and a name from a
        task description.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - description
              properties:
                description:
                  type: string
                  minLength: 10
                  description: Natural-language description of the automation.
                applicationUrl:
                  type: string
                  description: Optional target application URL (or empty string).
      responses:
        '200':
          description: Parameters extracted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  description:
                    type: string
                  inputParams:
                    type: array
                    items:
                      $ref: '#/components/schemas/TaskParameter'
                  outputParams:
                    type: array
                    items:
                      $ref: '#/components/schemas/TaskParameter'
        '500':
          description: Failed to extract automation parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    TaskParameter:
      type: object
      description: >-
        A task/tool input or output parameter definition (name, type,
        description, etc.).
      additionalProperties: true
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````